package com.patzn.lims.frame.service;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.patzn.lims.core.web.Account;
import com.patzn.lims.core.web.IBaseService;
import com.patzn.lims.frame.entity.LmsAbilitySubPlan;

import java.util.Date;
import java.util.List;

/**
 * <p>
 * 能力验证计划子表 服务类
 * </p>
 *
 * @author patzn
 * @since 2018-07-19
 */
public interface ILmsAbilitySubPlanService extends IBaseService<LmsAbilitySubPlan> {


    Page<LmsAbilitySubPlan> page(Page<LmsAbilitySubPlan> page, LmsAbilitySubPlan lmsAbilitySubPlan);


    List<LmsAbilitySubPlan> list(LmsAbilitySubPlan lmsAbilitySubPlan);


    Page<LmsAbilitySubPlan> pageSubPlan(Page<LmsAbilitySubPlan> page, LmsAbilitySubPlan lmsAbilitySubPlan, Date startDate, Date endDate);


    boolean copy(LmsAbilitySubPlan lmsAbilitySubPlan, Account account);


    boolean removeByIds(Long[] ids);


    boolean updatePlanById(LmsAbilitySubPlan lmsAbilitySubPlan);


    boolean submit(Long[] ids, String result, String person, Date endDate);
}
